<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
      	<style type="text/css">
      	<!--
      	  .portlet-section-header {
      	    font-size: small;
      	  }
      	
      	  .portlet-font,
      	  .portlet-section-subheader,
          .portlet-section-footer,
       	  .portlet-section-body, .portlet-section-body-hover, tr.portlet-section-body:hover,
      	  .portlet-section-alternate, .portlet-section-alternate-hover, tr.portlet-section-alternate:hover,
      	  .portlet-msg-alert,
      	  .portlet-msg-error { 
      	    font-size: xx-small; 
      	  }
      	-->
      	</style>
<fmt:setBundle basename="hu.midori.kosmos.portlet.sf.sf_monitoring" scope="application"/>

<display:table name="${releases}" id="releasesIt" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <display:column style="width: 20px;">
    <c:choose>
      <c:when test="${releasesIt.ageInDays < 7}">
        <img src="<c:url value="/pages/images/new.gif"/>" title="<fmt:message key="legend.new"/>"/>
      </c:when>
      <c:when test="${releasesIt.ageInDays > 365}">
        <img src="<c:url value="/pages/images/old.gif"/>" title="<fmt:message key="legend.old"/>"/>
      </c:when>
      <c:otherwise>
        &nbsp;
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="sfRelease.packageName" style="white-space:nowrap" sortProperty="packageName" sortable="true">
    <a href="${releasesIt.packageUrl}" <c:if test="${releasesIt.ageInDays > 365}">style="text-decoration: line-through;"</c:if>>${releasesIt.packageName}</a>
  </display:column>
  <display:column titleKey="sfRelease.version" style="white-space:nowrap" sortProperty="version" sortable="true">
    <a href="${releasesIt.versionUrl}">${releasesIt.version}</a>
  </display:column>
  <display:column titleKey="sfRelease.date" style="white-space:nowrap" sortProperty="date" sortable="true">
    <fmt:formatDate value="${releasesIt.date}" pattern="dd/MMM/yy"/>
  </display:column>
  <display:column titleKey="sfRelease.age" style="white-space:nowrap" sortProperty="age" sortable="true">
    <c:if test="${releasesIt.ageInDays < 7}"><span class="portlet-msg-alert"></c:if>
    <c:if test="${releasesIt.ageInDays > 365}"><span class="portlet-msg-error"></c:if>
      <kosmos:age time="${releasesIt.age}"/>
    <c:if test="${(releasesIt.ageInDays > 365) || (releasesIt.ageInDays < 7)}"></span></c:if>
  </display:column>
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
